## org.gnu.gtk.event
Class ExposeEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.ExposeEvent

All Implemented Interfaces:
  java.io.Serializable

public class ExposeEvent
extends GtkEvent

This event object is used to identify how expose has changed.

See Also:
  `ExposeListener`, Serialized Form

Nested Class Summary
`static class` `ExposeEvent.Type`

Constructor Summary
`ExposeEvent(java.lang.Object source, EventExpose gdkEvent)`
`ExposeEvent(java.lang.Object source, EventNoExpose gdkEvent)`

Method Summary
`Rectangle` `getArea()` Returns the bounding box of region.
`int` `getCount()` Returns the number of contiguous EXPOSE events following this one.
`Region` `getRegion()` Returns the region that needs to be redrawn.
`boolean` `getSendEvent()` Check if the event was sent explicitly (eg using XSendEvent).
`Window` `getWindow()` The window which received the event.
`boolean` `isOfType(ExposeEvent.Type test)` Test to compare events.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExposeEvent

    public ExposeEvent(java.lang.Object source,
                       EventExpose gdkEvent)

### ExposeEvent

    public ExposeEvent(java.lang.Object source,
                       EventNoExpose gdkEvent)

Method Detail

### getWindow

    public Window getWindow()

  The window which received the event.

  Returns:
    the window which received the event.

### getSendEvent

    public boolean getSendEvent()

  Check if the event was sent explicitly (eg using XSendEvent).

  Returns:
    true if the event was sent explicitly (e.g. using XSendEvent), false otherwise.

### getArea

    public Rectangle getArea()

  Returns the bounding box of region.

  Returns:
    the bounding box of region.

### getRegion

    public Region getRegion()

  Returns the region that needs to be redrawn.

  Returns:
    the region that needs to be redrawn.

### getCount

    public int getCount()

  Returns the number of contiguous EXPOSE events following this one. The only use for this is "exposure compression", i.e. handling all contiguous EXPOSE events in one go, though GDK performs some exposure compression so this is not normally needed.

  Returns:
    the number of contiguous EXPOSE events following this one.

### isOfType

    public boolean isOfType(ExposeEvent.Type test)

  Test to compare events.